<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
    layout:decorate="~{layout}">

<head>
    <meta charset="UTF-8">
    <title>Tugas Akhir</title>
    <style type="text/css">
        .card {
            background-color: white;
        }
    </style>
</head>

<body>
    <section layout:fragment="main" class="content">

        <div class="breadcomb-area">
            <div class="container">
                <div class="row">
                    <div class="col-md-12 col-xs-12">
                        <div class="breadcomb-list">
                            <div class="row">
                                <div class="col-lg-6 col-md-6 col-xs-12">
                                    <div class="breadcomb-wp">
                                        <div class="breadcomb-icon">
                                            <i class="notika-icon notika-form"></i>
                                        </div>
                                        <div class="breadcomb-ctn">
                                            <h2 th:if="${note.jenis != note.jenis.JURNAL}">Sempro</h2>
                                            <h2 th:if="${note.jenis == note.jenis.JURNAL}">Pendaftaran Publikasi Jurnal</h2>
                                            <a th:href="@{/graduation/seminar/formulir (id = ${note.id})}">
                                                Download Formulir
                                            </a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="container">
            <div class="row">
                <div class="col-md-12 col-xs-12">
                    <div class="normal-table-list mg-t-30">
                        <div class="basic-tb-hd">
                            <h2>Form</h2>
                        </div>
                        <div class="bsc-tbl-st">
                            <div class="row">
                                <div class="col-md-6 col-xs-12">
                                    <img src="https://image.freepik.com/free-vector/happy-freelancer-with-computer-home-young-man-sitting-armchair-using-laptop-chatting-online-smiling-vector-illustration-distance-work-online-learning-freelance_74855-8401.jpg"
                                        alt="">
                                </div>
                                <div class="col-md-6 col-xs-12">
                                    <form th:action="@{/graduation/sempro}" id="add-sempro" th:object="${seminar}" method="post"
                                        enctype="multipart/form-data">
                                        <div class="form-group">
                                            <label>NIM</label>
                                            <br>
                                            <p th:text="${note.mahasiswa.nim}">11605557</p>
                                        </div>
                                        <div class="form-group">
                                            <label>Name</label>
                                            <br>
                                            <p th:text="${note.mahasiswa.nama}">Muhammad Rafizki</p>
                                        </div>
                                        <div class="form-group">
                                            <label>Title</label>
                                            <br>
                                            <p th:text="${note.judulInggris}">
                                                Lorem ipsum dolor sit amet, consectetur adipisicing elit. Corporis
                                                dolorum eos eum, expedita laboriosam minima necessitatibus odio quis
                                                rerum similique. At blanditiis dolorem eos error obcaecati, odit totam
                                                veniam voluptates.
                                            </p>
                                        </div>
                                        <input type="hidden" name="note" th:value="${note.id}">
                                        <div class="form-group">
                                            <label>Formulir Sempro</label>
                                            <input type="file" required accept="application/pdf" name="formulir"
                                                class="form-control">
                                        </div>
                                        <div class="form-group">
                                            <label>Lembar Persetujuan Pembimbing</label>
                                            <input type="file" required accept="application/pdf" name="pengesahan"
                                                class="form-control">
                                        </div>
                                        <div class="form-group">
                                            <label>Kartu Bimbingan</label>
                                            <input type="file" required accept="application/pdf" name="kartu"
                                                class="form-control">
                                        </div>
                                        <div class="form-group">
                                            <label>Kartu Kehadiran Seminar</label>
                                            <input type="file" required accept="application/pdf" name="kehadiran"
                                                class="form-control">
                                        </div>
                                        <div class="form-group">
                                            <label>Skripsi/ Tesis Bab 1-3</label>
                                            <input type="file" required accept="application/pdf" name="skripsi"
                                                class="form-control">
                                        </div>
                                        <div class="form-group">
                                            <button type="submit" onclick="saveSempro()" id="btnSimpan" class="btn btn-primary">Save</button>
                                        </div>
                                        <input type="hidden" name="id" th:field="*{id}">
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</body>
</html>
<script>
    function saveSempro(){
        var form = document.getElementById('add-sempro');
        if (!form.checkValidity()) {
            form.classList.add('was-validated');

            return;
        } else {
            $("#btnSimpan").removeClass("btn-primary").addClass("btn-warning").prop("disabled", true).html("Loading...");
            form.submit();
        }
    }
</script>